From ec6307fca359bb9af823ceedd6c12c6fd90f778f Mon Sep 17 00:00:00 2001
From: adilger <adilger>
Date: Fri, 6 Feb 2004 21:03:22 +0000
Subject: [PATCH] Make it clear which error was hit in test 62 (failed in
 buffalo testing of 974).

---
 lustre/tests/sanity.sh | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

diff --git a/lustre/tests/sanity.sh b/lustre/tests/sanity.sh
index 551b9d7b1c..584a57a201 100644
--- a/lustre/tests/sanity.sh
+++ b/lustre/tests/sanity.sh
@@ -745,11 +745,11 @@ test_27g() {
 	$MCREATE $DIR/d27/fnone || error
 	pass
 	log "== test 27h: lfind with no objects ============================"
-	$LFIND $DIR/d27/fnone 2>&1 | grep -q "no stripe info" || error
+	$LFIND $DIR/d27/fnone 2>&1 | grep "no stripe info" || error
 	pass
 	log "== test 27i: lfind with some objects =========================="
 	touch $DIR/d27/fsome || error
-	$LFIND $DIR/d27/fsome | grep -q obdidx || error
+	$LFIND $DIR/d27/fsome | grep obdidx || error
 }
 run_test 27g "test lfind ======================================="
 
@@ -1034,20 +1034,20 @@ test_32q() {
 	mkdir -p $DIR/d32q
         touch $DIR/d32q/under_the_mount
 	mount -t ext2 -o loop $EXT2_DEV $DIR/d32q
-	ls $DIR/d32q/under_the_mount &&  error || true
+	ls $DIR/d32q/under_the_mount && error || true
 	umount $DIR/d32q || error
 }
-run_test 32q "stat follows mountpoints in Lustre ========================="
+run_test 32q "stat follows mountpoints in Lustre (should return error)"
 
 test_32r() {
 	[ -e $DIR/d32r ] && rm -fr $DIR/d32r
 	mkdir -p $DIR/d32r
         touch $DIR/d32r/under_the_mount
 	mount -t ext2 -o loop $EXT2_DEV $DIR/d32r
-	ls $DIR/d32r | grep -q under_the_mount &&  error || true
+	ls $DIR/d32r | grep -q under_the_mount && error || true
 	umount $DIR/d32r || error
 }
-run_test 32r "opendir follows mountpoints in Lustre ========================="
+run_test 32r "opendir follows mountpoints in Lustre (should return error)"
 
 #   chmod 444 /mnt/lustre/somefile
 #   open(/mnt/lustre/somefile, O_RDWR)
@@ -1642,8 +1642,8 @@ test_62() {
         echo foo > $f
         cancel_lru_locks OSC
         echo 0x405 > /proc/sys/lustre/fail_loc
-        cat $f && error # expect -EIO
-        multiop $f Owc && error
+        cat $f && error "cat succeeded, expect -EIO"
+        multiop $f Owc && error "multiop succeeded, expect -EIO"
         echo 0 > /proc/sys/lustre/fail_loc
 }
 run_test 62 "verify obd_match failure doesn't LBUG (should -EIO)"
-- 
GitLab